summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/add_udpmsg4_path22
-rwxr-xr-xscripts/nameserver_autogen/dnsmasq_tld_conffile10
2 files changed, 28 insertions, 4 deletions
diff --git a/scripts/add_udpmsg4_path b/scripts/add_udpmsg4_path
new file mode 100755
index 0000000..40423cb
--- /dev/null
+++ b/scripts/add_udpmsg4_path
@@ -0,0 +1,22 @@
+#!/bin/sh
+if [ x"$2" = x ]; then
+ echo "Usage: $0 <path> <owner> <key>" >&2; exit 255
+fi
+path="$1"
+owner="$2"
+key="$3"
+if [ "$(echo -n "$path" | tr -d '/A-Za-z0-9_-' | wc -c | tr -d ' \t')" != 0 ]; then
+ echo "udpmsg4 paths do not allow funny chars." >&2; exit 255
+fi
+if [ "$(echo "$path" | head -c1)" != / ]; then
+ echo "udpmsg4 paths start with a slash." >&2; exit 255
+fi
+fullpath=db/udpmsg4"$path"
+mkdir -p "$fullpath" || exit 1
+mkdir "$fullpath/@" || exit 1
+echo "$key" >"$fullpath/@/default.key"
+echo "$path" >"$fullpath/@/path"
+echo "$owner" >"$fullpath/@/owner"
+echo "temp.keys" >"$fullpath/@/.gitignore"
+mkdir "$fullpath/@/temp.keys"
+mkdir "$fullpath/@/blacklisted.keys"
diff --git a/scripts/nameserver_autogen/dnsmasq_tld_conffile b/scripts/nameserver_autogen/dnsmasq_tld_conffile
index 20eefd1..f155601 100755
--- a/scripts/nameserver_autogen/dnsmasq_tld_conffile
+++ b/scripts/nameserver_autogen/dnsmasq_tld_conffile
@@ -31,9 +31,11 @@ echo
for tld in $($LS db/dom/); do
for domain in $($LS db/dom/${tld}/); do
- for ns in $($LS db/dom/${tld}/${domain}/ns/); do
- STR="server=/${domain}.${tld}/$(scripts/ns2ip -f ${ns})"
- echo $STR
- done;
+ if [ -d $($LS db/dom/${tld}/{$domain}/ns/ ]; then
+ for ns in $($LS db/dom/${tld}/${domain}/ns/); do
+ STR="server=/${domain}.${tld}/$(scripts/ns2ip -f ${ns})"
+ echo $STR
+ done;
+ fi
done;
done